apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: cloud-collect
  name: cloud-collect
  namespace: default
spec:
  progressDeadlineSeconds: 600
  replicas: 3
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: cloud-collect
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: cloud-collect
    spec:
      containers:
        - name: cloud-collect
          image: 10.210.192.115:8443/oil-docker-prod/cloud-collect:v1.0.0
          imagePullPolicy: Always
          ports:
          - name: oil-9198
            containerPort: 9198
            protocol: TCP
          env:
            - name: LANG
              value: C.UTF-8
            - name: JAVA_HOME
              value: /usr/lib/jvm/java-8-openjdk-amd64/jre
            - name: CLASSPATH
              value: .:/usr/lib/java/jdk1.8.0_202/lib/dt.jar:/usr/lib/java/jdk1.8.0_202/lib/tools.jar
            - name: TIME_ZONE
              value: Asia/Shanghai
            - name: JAVA_OPTS
              value: -Xms6144m -Xmx8192m -Djava.security.egd=file:/dev/./urandom
            - name: cloudRegister
              value: cloud-register-svc:8848
            - name: hostIp
          resources:
            limits:
              cpu: "4"
              memory: 8Gi
            requests:
              cpu: "2"
              memory: 6Gi
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File


